Skip to main content

Azure credentials - Get

Display information about an Azure credentials set.

GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/credentials/{id}

URI Parameters​

NameInRequiredTypeDescription
envUripathtruestringHost name used in these examples: obs.apibackbone.orange.com.
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.
idpathtruestringUUID of the Azure credential record in Evolution Platform.

Responses​

NameTypeDescription
200 OKCredentialsGET successful. The operation returns the Azure credentials.
Other Status CodesError responseError response describing why the operation failed.

Request Body​

NameTypeDescription
iduuidIdentifier of the azure credential in Evolution Platform
projectIdstringIdentifier of the project in Evolution Platform
namestringName of the azure credential in Evolution Platform
cspstringName of the Cloud Service Provider (CSP)
descriptionstringDescription of the azure credential
projectNamestringName of the project in Evolution Platform
expirationDatestringThe expiration date of the authentication token or client secret.

Security​

Type: HTTP Bearer

Token format: JWT

Header: Authorization: Bearer YOUR_ACCESS_TOKEN

Examples​

Request​

GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/projectId/azure/credentials/{id}

Sample response​

Status code: 200 (OK)

{
"id": "29f85f64-5717-4562-b3fc-2c963f66afa6",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name":"CredentialsAzure",
"csp":"AZURE",
"description":"This set of credentials allow provisionning on Azure",
"projectName": "orchestrator",
"expirationDate":"2025-06-15"
}